#ifndef cGame_H
#define cGame_H

#include "cGamePlayer.h"
#include "cPicture.h"

enum eGameRunReturn{
	GRR_CONTINUE,
	GRR_USEREXIT,
	GRR_GAMECLEAR,
	GRR_GAMEOVER
};

const int PicCount = 8;
class cGame{
private:
protected:
	// cGameStage Stage;
	// cGameObjectList ObjectList;
	// cGameBack Back;
	cGamePlayer *pPlayer;

	cPicture Pics[PicCount];

	BOOL OpenPictures();
	void ClosePictures();

public:
	cGame();
	virtual ~cGame();

	BOOL Open();
	void Close();

	eGameRunReturn Run();

	void Draw(int xOrg, int yOrg);

};

#endif
